<template>
    <div class="grid grid-cols-2">
        <div class="font-bold text-xl">
            {{ selected.name}} Chat
        </div>

        <div>
            <select
                v-model="selected"
                @change="$emit('room-changed', selected)"
                class="w-full bg-gray-200 border border-gray-200 text-gray-700 py-2 px-4 pr-8 rounded leading-tight focus:outline-none focus:bg-white focus:border-gray-500">
                <option v-for="(room, index) in rooms" :value="room" :key="index">
                    {{ room.name }}
                </option>
            </select>
        </div>
    </div>
</template>
<script>
export default {
    props: ['rooms', 'currentRoom'],
    data() {
        return {
            selected: '',
        }
    },
    created() {
        this.selected = this.currentRoom;
    },
}
</script>
